@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@700&display=swap');
@import url('/variable.css');
@import url('/util.css');
@import url('/documentation/documentation.css');
@import url('/components/avatar/avatar.css');
@import url('/components/badge/badge.css');
@import url('/components/alert/alert.css');
@import url('/components/button/button.css');
@import url('/components/list/list.css');
@import url('/components/text-utils/text-utils.css');
@import url('/components/cards/card.css');
@import url('/components/navigation/navigation.css');
@import url('/components/ratings/ratings.css');
@import url('/components/modal/modal.css');
@import url('/components/image/image.css');
@import url('/components/input/input.css');
@import url('/components/toast/toast.css');
@import url('/components/grid/grid.css');
@import url('/components/hamburger/hamburger.css');

* {
    font-family: 'Ubuntu', sans-serif;
}

html {
    font-size: 100%;
}

.main-heading {
    font-size: 4rem;
    line-height: 4rem;
}

.navbar {
    padding: 1rem;
    width: 100%;
    background-color: var(--primary-color);
    font-size: 2rem;
    font-weight: 700;
    color: var(--bg-color);
    border-bottom-left-radius: 16px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.landing-header {
    width: 100%;
}

.text-primary {
    color: var(--primary-color);
}

.nav-items {
    display: flex;
    align-items: center;
    list-style: none;
    font-size: 1rem;
}

.social {
    font-size: 3rem;
    margin-left: auto;
    display: flex;
}

.nav-icons {
    color: var(--bg-color);
    margin: 0.5rem;
}

.main-landing {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    font-weight: 900;
    flex-direction: column;
    color: var(--secondary-color);
    text-align: center;
}

.small-landing-text {
    font-size: 1.5rem;
    color: var(--secondary-color);
    margin: 1.5rem;
}

.start-btn {
    padding: 1.5rem 3rem;
    border: none;
    background-color: var(--primary-color);
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--bg-color);
}

.name-footer {
    font-size: 1.2rem;
    color: var(--secondary-color);
    font-weight: 700;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.customize-container {
    border: 2px solid var(--gray-color);
    padding: 2rem;
    width: 20rem;
    border-radius: 5px;
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
}

.customize-btn {
    background-color: var(--primary-color);
}

.footer-text {
    margin-top: auto;
    margin-bottom: 1.5rem;
    text-align: center;
}

#hamburger{
    display: none;
}

.nav-icons-footer{
    color: var(--bg-color);
    font-size: 3rem;
}

.footer-icon-container{
    margin-top: 8rem;
    gap: 1rem;
    background-color: var(--primary-color);
}

.responsive-sidebar{
    margin-top: 4rem;
    text-align: center;
    width: 100%;
    position:fixed;
    left: -100%;
    background-color: #fff;
    z-index: 5;
    transition: all 0.5s ease-in-out;
    height: 100vh;
    overflow-y: scroll;
    padding-bottom: 8rem;
}

.garuda-logo{
    color: var(--bg-color);
}

.nav-icons-home{
    color: var(--bg-color);
}



@media only screen and (max-width:600px) {
    html {
        font-size: 83%;
    }

    #hamburger{
        display: block;
    }

    .navbar{
        position: fixed;
        z-index: 3;
    }

    .main-section{
        margin-top: 4rem;
    }

    .sidebar {
        display: none;
    }

    .nav-icons{
        display: none;
    }

    .headings {
        line-height: 3rem;
    }
}

@media only screen and (min-width:600px){
    #hamburger{
        display: none;
    }
}